import dayjs from 'dayjs';
import { TypeDateRangePickerProps, DateRangeValue } from '../type';
export declare const PARTIAL_MAP: {
    first: string;
    second: string;
};
export declare function initYearMonthTime({ value, mode, format, timeFormat, enableTimePicker }: {
    value: DateRangeValue;
    mode: string;
    format: string;
    timeFormat?: string;
    enableTimePicker?: boolean;
}): {
    year: number[];
    month: number[];
    time: string[];
};
export default function useRangeValue(props: TypeDateRangePickerProps): {
    year: import("@vue/composition-api").Ref<number[]>;
    month: import("@vue/composition-api").Ref<number[]>;
    value: import("@vue/composition-api").Ref<DateRangeValue>;
    time: import("@vue/composition-api").Ref<string[]>;
    isFirstValueSelected: import("@vue/composition-api").Ref<boolean>;
    cacheValue: import("@vue/composition-api").Ref<string | string[]>;
    onChange: import("../../../hooks/use-vmodel").ChangeHandler<DateRangeValue, [context: {
        dayjsValue?: dayjs.Dayjs[];
        trigger?: import("../type").DatePickerTriggerSource;
    }]>;
};
